
Redmine - Patch #22296

Add collision option to autocomplete initialization

2016-03-21 12:39 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.2   

Description

If an issue has a long title and is being referenced as related issue on mobile phones, it can break the layout:
By adding the option to handle collision to the jquery ui's autocomplete initialization call, we can avoid this unwanted behaviour:
You can find the docs for the possible options here: https://api.jqueryui.com/position/

Attached you will find the corresponding patch.

Associated revisions

Revision 15301 - 2016-04-03 14:31 - Jean-Philippe Lang

Add collision option to autocomplete initialization (#22296).

Patch by Felix Gliesche.

Revision 15302 - 2016-04-03 14:31 - Jean-Philippe Lang

Merged r15301 (#22296).

History

#1 - 2016-03-21 15:58 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2016-03-22 01:31 - Go MAEDA

- Category changed from UI to UI - Responsive

- Target version changed from Candidate for next minor release to 3.2.2

#3 - 2016-04-03 14:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.
